function time_emm(m,n,p)
    try
        A = rand(m,n);
        B = rand(n,p);
    catch
        fprintf( 1, '%s: Out of memory.\n', mfilename() );
    end
    s = cputime;
    tic;

    [C,D] = test_emm(A,B);
    
    wallClockTime = toc
    computeTime = cputime - s
    D
end
